org.omg.CosNaming

## Class NameComponent

- java.lang.Object
- - org.omg.CosNaming.NameComponent

All Implemented Interfaces:
  Serializable, IDLEntity

    public final class NameComponent
    extends Object
    implements IDLEntity

org/omg/CosNaming/NameComponent.java . Generated by the IDL-to-Java compiler (portable), version "3.2" from /build/openjdk-8-Ya7k6D/openjdk-8-8u502-ga~us1/src/corba/src/share/classes/org/omg/CosNaming/nameservice.idl Friday, July 24, 2026 5:14:04 PM UTC

See Also:
  Serialized Form

### Field Summary

Fields
`String` `id`
`String` `kind`

### Constructor Summary

Constructors
Constructor and Description
`NameComponent()`
`NameComponent(String _id, String _kind)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### id

    public String id

#### kind

    public String kind

### Constructor Detail

#### NameComponent

    public NameComponent()

#### NameComponent

    public NameComponent(String _id,
                         String _kind)